Api referenceTopics
Get a topic
Returns a visible topic, its publishing defaults, and explicit subscription counts by channel and status.
Returns a visible topic, its publishing defaults, and explicit subscription counts by channel and status. Individual subscriptions are read through listSubscriptions.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/topics/string"{ "id": "string", "namespaceId": "string", "name": "string", "description": "string", "default": "opt_out", "isDefault": true, "defaultSenderId": "string", "replyMailboxId": "string", "templateId": "string", "archiveEnabled": true, "publicationSlug": "string", "subscriptions": { "email": { "subscribed": 0, "unsubscribed": 0 } }, "createdAt": "string", "updatedAt": "string"}